ModelStream LogoModelStream Logo
Models
Video API
Image API
Chat API
Audio API
Studio
Pricing
Docs
Menu
IntroductionQuickstartAPI KeysUse with Hermes AgentUse with OpenClaw
Model ListBilling Guide
ModelStream

Video API

  • Seedance 2.0
  • Happyhorse 1.0
  • Vidu Q3
  • Kling V3.0
  • Veo 3.1
  • Wan 2.7
  • More Video Models →

Image API

  • GPT Image 2
  • Nano Banana 2
  • Seedream 5.0
  • Imagen 4
  • Qwen Image 2.0
  • Z-Image Turbo
  • More Image Models →

Audio API

  • Suno Music
  • Qwen3 TTS Flash
  • More Audio Models →

Chat API

  • GLM-5.2
  • Claude Opus 4.8
  • Gemini 3.5 Flash
  • Qwen 3.7 Max
  • GPT 5.5
  • More Chat Models →

About Us

  • Privacy Policy
  • Terms of Service
  • Support
  • Enterprise

© 2026 ModelStream Inc. All rights reserved.

API Documentation
API Reference
Images
Generate Image

Generate Image

Loading models...
N
Nano Banana (nano-banana)
nano-banana0 models support this endpoint

Specializes in natural language-based image generation and editing, capable of creating hyper-realistic, physically consistent visual effects and achieving seamless style transfer.

Generate image

https://api.modelstream.ai
POST/v1/images/generations

Authentication

BearerAuth
AuthenticationBearer <token>

All API requests must be authenticated using a Bearer token in the Authorization header. Please ensure your API key is active.Authorization: Bearer sk-xxxxxx

Parameter Location: Header Param

Request Body

application/json

These parameters come from the selected model form_schema. Switching models updates this list and the request example.

prompt*string

Text instruction for editing/blending. Nano Banana (Gemini 2.5 Flash Image) edits, restyles, or merges the uploaded reference images according to the prompt.

RequiredExample Value: A cute cat sleeping in the sunshine, soft lighting, highly detailed fur, cinematic atmosphere.Placeholder: Describe how to edit or blend the reference images, e.g. place the cat on a sunny windowsill...
images*array

Upload the image(s) to edit or blend, up to 3. The model performs image-to-image editing on them according to the prompt.

RequiredValue Range: 0 ≤ value ≤ 3
size?string

Aspect ratio of the output image. Default 1:1.

Example Value: 1:1
Enum/Options:
1:12:33:23:44:34:55:49:1616:921:9

Response Parameters

application/json
200apiDocs.responses.successGenerateImage
created?integer

Parameter description for Created

data?array

Parameter description for Data

curl -X POST "https://api.modelstream.ai/v1/images/generations" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "model": "nano-banana",
  "prompt": "A cute cat sleeping in the sunshine, soft lighting, highly detailed fur, cinematic atmosphere.",
  "n": 1,
  "size": "1:1",
  "quality": "1K",
  "messages": [
    {
      "role": "user",
      "content": [
        {
          "type": "text",
          "text": "A cute cat sleeping in the sunshine, soft lighting, highly detailed fur, cinematic atmosphere."
        }
      ]
    }
  ]
}'
{
  "created": 0,
  "data": [
    {
      "url": "string",
      "b64_json": "string",
      "revised_prompt": "string"
    }
  ]
}